Subject: Hyde and Circus World
From: Kay price <[email-masked]>
To: Jim Kirchstein <[email-masked]>
Date: Sat, 2 Mar 2013 09:27:40 -0600

Jim, Thanks for all your work on Hyde project. The DVD copies, photo copies, paper, toner, hours it took, etc. You will be surprised how much it will be appreciated. Something about it will be in the spring newsletter and everyone will be told about it at the May 4th meeting. This will be important for the next generations to know what was done in the past.

It didn't sound like Steve Freeze is happy about the SHS take over of Circus World. It was on TV last night. They are using this as a grab to get $2.4 million a year for themselves. Same bunch we met with that I don't trust.

I think we should meet with Freeze to see set up and tie down details. How about Thursday or Friday? Are you back in Milwaukee? I think we need to hear from him directly what he is willing to do. I would feel more comfortable having something in writing. Is he usually around or do we need an appointment? 

I have a full blown cold that I must have picked up at the hotel. I feel better today but sound worse. Spring will be most welcome, this year more than most. I rarely get sick and this is third virus I have had in past four months. Blah. You have lucked out with everything that is going around, you have been healthy. 

Kay